DCMTK: FGCTReconstruction Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
FGCTReconstruction Class Reference

Class representing the "CT Reconstruction" Functional Group Macro. More...

Inheritance diagram for FGCTReconstruction:

## Public Member Functions
| FGCTReconstruction ()
| Constructor, creates empty functional group.
virtual | ~FGCTReconstruction ()
| Virtual destructor.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns shared functional group type.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete.
virtual OFCondition | read (DcmItem &item)
| Read CT Reconstruction Sequence from given item.
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into CT Reconstruction Sequence (newly created) into given item.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
virtual OFCondition | getReconstructionAlgorithm (OFString &value, const signed long pos=0)
| Get Reconstruction Algorithm.
virtual OFCondition | getConvolutionKernel (OFString &value, const signed long pos=0)
| Get Convolution Kernel.
virtual OFCondition | getConvolutionKernelGroup (OFString &value, const signed long pos=0)
| Get Convolution Kernel Group.
virtual OFCondition | getReconstructionDiameter (OFString &value, const signed long pos=0)
| Get Reconstruction Diameter.
virtual OFCondition | getReconstructionDiameter (Float64 &value, const unsigned long pos=0)
| Get Reconstruction Diameter.
virtual OFCondition | getReconstructionFieldOfView (OFString &value, const signed long pos=0)
| Get Reconstruction Field of View.
virtual OFCondition | getReconstructionFieldOfView (OFVector< Float64 > &values)
| Get Reconstruction Field of View.
virtual OFCondition | getReconstructionPixelSpacing (OFString &value, const signed long pos=0)
| Get Reconstruction Pixel Spacing.
virtual OFCondition | getReconstructionPixelSpacing (OFVector< Float64 > &values)
| Get Reconstruction Pixel Spacing.
virtual OFCondition | getReconstructionAngle (OFString &value, const signed long pos=0)
| Get Reconstruction Angle.
virtual OFCondition | getReconstructionAngle (Float64 &value, const unsigned long pos=0)
| Get Reconstruction Angle.
virtual OFCondition | getImageFilter (OFString &value, const signed long pos=0)
| Get Image Filter.
virtual OFCondition | setReconstructionAlgorithm (const OFString &value, const OFBool checkValue=OFTrue)
| Set Reconstruction Algorithm.
virtual OFCondition | setConvolutionKernel (const OFString &value, const OFBool checkValue=OFTrue)
| Set Convolution Kernel.
virtual OFCondition | setConvolutionKernelGroup (const OFString &value, const OFBool checkValue=OFTrue)
| Set Convolution Kernel Group.
virtual OFCondition | setReconstructionDiameter (const Float64 value, const OFBool checkValue=OFTrue)
| Set Reconstruction Diameter.
virtual OFCondition | setReconstructionFieldOfView (const Float64 value1, const Float64 value2, const OFBool checkValue=OFTrue)
| Set Reconstruction Field of View.
virtual OFCondition | setReconstructionPixelSpacing (const Float64 value1, const Float64 value2, const OFBool checkValue=OFTrue)
| Set Reconstruction Pixel Spacing.
virtual OFCondition | setReconstructionAngle (const Float64 value, const OFBool checkValue=OFTrue)
| Set Reconstruction Angle.
virtual OFCondition | setImageFilter (const OFString &value, const OFBool checkValue=OFTrue)
| Set Image Filter.
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
DcmCodeString | m_ReconstructionAlgorithm
| Reconstruction Algorithm (CS, VM 1, Required type 1C).
DcmShortString | m_ConvolutionKernel
| Convolution Kernel (SH, 1-n, 1C).
DcmCodeString | m_ConvolutionKernelGroup
| Convolution Kernel Group (CS, 1, 1C).
DcmDecimalString | m_ReconstructionDiameter
| Reconstruction Diameter (DS, 1, 1C).
DcmFloatingPointDouble | m_ReconstructionFieldOfView
| Reconstruction Field of View (FD, 2, 1C).
DcmFloatingPointDouble | m_ReconstructionPixelSpacing
| Reconstruction Pixel Spacing (FD, 2, 1C).
DcmFloatingPointDouble | m_ReconstructionAngle
| Reconstruction Angle (FD, 1, 1C).
DcmShortString | m_ImageFilter
| Image Filter (SH, 1, 1C).

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the "CT Reconstruction" Functional Group Macro.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTReconstruction::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGCTReconstruction::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGCTReconstruction::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ getConvolutionKernel()

virtual OFCondition FGCTReconstruction::getConvolutionKernel | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Convolution Kernel.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getConvolutionKernelGroup()

virtual OFCondition FGCTReconstruction::getConvolutionKernelGroup | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Convolution Kernel Group.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getImageFilter()

virtual OFCondition FGCTReconstruction::getImageFilter | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Image Filter.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionAlgorithm()

virtual OFCondition FGCTReconstruction::getReconstructionAlgorithm | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Reconstruction Algorithm.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionAngle() [1/2]

virtual OFCondition FGCTReconstruction::getReconstructionAngle | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Reconstruction Angle.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionAngle() [2/2]

virtual OFCondition FGCTReconstruction::getReconstructionAngle | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Reconstruction Angle.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionDiameter() [1/2]

virtual OFCondition FGCTReconstruction::getReconstructionDiameter | ( | Float64 & | value,
|  | const unsigned long | pos = 0 )
| virtual

Get Reconstruction Diameter.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1)

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionDiameter() [2/2]

virtual OFCondition FGCTReconstruction::getReconstructionDiameter | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Reconstruction Diameter.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionFieldOfView() [1/2]

virtual OFCondition FGCTReconstruction::getReconstructionFieldOfView | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Reconstruction Field of View.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionFieldOfView() [2/2]

virtual OFCondition FGCTReconstruction::getReconstructionFieldOfView | ( | OFVector< Float64 > & | values | ) |
| virtual

Get Reconstruction Field of View.

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionPixelSpacing() [1/2]

virtual OFCondition FGCTReconstruction::getReconstructionPixelSpacing | ( | OFString & | value,
|  | const signed long | pos = 0 )
| virtual

Get Reconstruction Pixel Spacing.

Parameters

  value | Reference to variable that should hold the result
  pos | Index of the value to get (0..vm-1), -1 for all components

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getReconstructionPixelSpacing() [2/2]

virtual OFCondition FGCTReconstruction::getReconstructionPixelSpacing | ( | OFVector< Float64 > & | values | ) |
| virtual

Get Reconstruction Pixel Spacing.

Parameters

  values | Reference to variable that should hold the result

Returns
  EC_Normal, if value could be returned, error otherwise

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGCTReconstruction::getSharedType | ( |  | ) | const
| inlinevirtual

Returns shared functional group type.

Returns
  The functional group type (DcmFGTypes::EFGS_BOTH)

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ read()

virtual OFCondition FGCTReconstruction::read | ( | DcmItem & | item | ) |
| virtual

Read CT Reconstruction Sequence from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ setConvolutionKernel()

virtual OFCondition FGCTReconstruction::setConvolutionKernel | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Convolution Kernel.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setConvolutionKernelGroup()

virtual OFCondition FGCTReconstruction::setConvolutionKernelGroup | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Convolution Kernel Group.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setImageFilter()

virtual OFCondition FGCTReconstruction::setImageFilter | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Image Filter.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReconstructionAlgorithm()

virtual OFCondition FGCTReconstruction::setReconstructionAlgorithm | ( | const OFString & | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Reconstruction Algorithm.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReconstructionAngle()

virtual OFCondition FGCTReconstruction::setReconstructionAngle | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Reconstruction Angle.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReconstructionDiameter()

virtual OFCondition FGCTReconstruction::setReconstructionDiameter | ( | const Float64 | value,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Reconstruction Diameter.

Parameters

  value | Value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReconstructionFieldOfView()

virtual OFCondition FGCTReconstruction::setReconstructionFieldOfView | ( | const Float64 | value1,
|  | const Float64 | value2,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Reconstruction Field of View.

Parameters

  value1 | First value that should be set
  value2 | Second value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ setReconstructionPixelSpacing()

virtual OFCondition FGCTReconstruction::setReconstructionPixelSpacing | ( | const Float64 | value1,
|  | const Float64 | value2,
|  | const OFBool | checkValue = OFTrue )
| virtual

Set Reconstruction Pixel Spacing.

Parameters

  value1 | First value that should be set
  value2 | Second value that should be set
  checkValue | If OFTrue, basic checks are performed whether the value is valid for this attribute

Returns
  EC_Normal, if value was set, error otherwise

## ◆ write()

virtual OFCondition FGCTReconstruction::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into CT Reconstruction Sequence (newly created) into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctreconstruction.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1